Package org.apache.tools.ant.attribute

## Class IfSetAttribute

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.attribute.BaseIfAttribute
    - - org.apache.tools.ant.attribute.IfSetAttribute

- All Implemented Interfaces:
    `java.lang.Cloneable`, `EnableAttribute`
  Direct Known Subclasses:
    `IfSetAttribute.Unless`

      public class IfSetAttribute
      extends BaseIfAttribute

  Check if an attribute value as a property is set or not
  Since:
    Ant 1.9.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `IfSetAttribute.Unless` | The unless version

  - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IfSetAttribute()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isEnabled​(UnknownElement el, java.lang.String value)` | check if the attribute value is blank or not is enabled.

    - ### Methods inherited from class org.apache.tools.ant.attribute.BaseIfAttribute

      `convertResult, getParams, isPositive, setPositive`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IfSetAttribute

          public IfSetAttribute()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled​(UnknownElement el,
                                   java.lang.String value)

      check if the attribute value is blank or not is enabled.
      Parameters:
        `el` - the unknown element this attribute is in.
        `value` - the value of the attribute.
      Returns:
        true if the attribute enables the element, false otherwise.